From 70e14eed39cb5c3b0f1220a2ff19851a85b9a90a Mon Sep 17 00:00:00 2001
From: xengineering <mail2xengineering@protonmail.com>
Date: Tue, 17 Mar 2020 18:54:26 +0100
Subject: Implement Formatting for BIOS without LUKS

---
 stages/first_stage.sh | 17 ++++++++++++-----
 1 file changed, 12 insertions(+), 5 deletions(-)

(limited to 'stages')

diff --git a/stages/first_stage.sh b/stages/first_stage.sh
index 2dc2ee7..204548f 100644
--- a/stages/first_stage.sh
+++ b/stages/first_stage.sh
@@ -97,20 +97,27 @@ fi
 
 if [ "$luks_encryption" == "no" ];then
     if [ "$boot_mode" == "bios" ];then
-        echo "no/bios"
+        mkfs.ext4 ${disk_path}1
+        e2label ${disk_path}1 "ROOT"
     elif [ "$boot_mode" == "uefi" ];then
-        echo "no/uefi"
+        echo "Sorry, UEFI is not ready to use ..."
+        exit 1
     else
-        echo "oh no"
+        echo "Unknown boot_mode! - FAILED"
+        exit 1
     fi
 elif [ "$luks_encryption" == "yes" ];then
+    echo "Sorry, LUKS encryption is not ready to use ..."
+    exit 1
     if [ "$boot_mode" == "bios" ];then
         echo "yes/bios"
     elif [ "$boot_mode" == "uefi" ];then
         echo "yes/uefi"
     else
-        echo "oh no"
+        echo "Unknown boot_mode! - FAILED"
+        exit 1
     fi
 else
-    echo "oh no"
+    echo "luks_encryption not 'yes' or 'no'! - FAILED"
+    exit 1
 fi
-- 
cgit v1.2.3-70-g09d2